using System;
using System.Threading;
public class Task 
{ 
    public Thread m_thread; 
    string m_name; 
    public Task(string name) 
    { 
        m_name = name; 
        m_thread = new Thread(new ThreadStart(Worker)); 
    } 
    
    private void Worker() 
    { 
        Console.WriteLine("Hello, "); 
        Console.WriteLine(m_name); 
    } 
}
class TaskDemo 
{ 
    static void Main(string[] args) 
    { 
        Task task1 = new Task("Bill"); 
        Task task2 = new Task("Steve"); 
        task1.m_thread.Start(); 
        task2.m_thread.Start(); 
    } 
}

